LrcXAConnectionFactory (Bitronix Transaction Manager :: Core 2.1.4 API)
Date: 2013-09-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bitronix.tm.resource.jms.lrc
Class LrcXAConnectionFactory

    java.lang.Object
      bitronix.tm.resource.jms.lrc.LrcXAConnectionFactory

All Implemented Interfaces:
  javax.jms.XAConnectionFactory

    public class LrcXAConnectionFactory

extends Object
implements javax.jms.XAConnectionFactory

XAConnectionFactory implementation for a non-XA JMS resource emulating XA with Last Resource Commit.

Author:
  lorban

Constructor Summary
`LrcXAConnectionFactory()`

Method Summary
`javax.jms.XAConnection` | `createXAConnection()`
`javax.jms.XAConnection` | `createXAConnection(String user, String password)`
`String` | `getConnectionFactoryClassName()`
`Properties` | `getProperties()`
`void` | `setConnectionFactoryClassName(String connectionFactoryClassName)`
`void` | `setProperties(Properties properties)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LrcXAConnectionFactory

    public LrcXAConnectionFactory()

Method Detail

### getConnectionFactoryClassName

    public String getConnectionFactoryClassName()

### setConnectionFactoryClassName

    public void setConnectionFactoryClassName(String connectionFactoryClassName)

### getProperties

    public Properties getProperties()

### setProperties

    public void setProperties(Properties properties)

### createXAConnection

    public javax.jms.XAConnection createXAConnection()
                                              throws javax.jms.JMSException

  Specified by:
    `createXAConnection` in interface `javax.jms.XAConnectionFactory`
  Throws:
    `javax.jms.JMSException`

### createXAConnection

    public javax.jms.XAConnection createXAConnection(String user,
                                                     String password)
                                              throws javax.jms.JMSException

  Specified by:
    `createXAConnection` in interface `javax.jms.XAConnectionFactory`
  Throws:
    `javax.jms.JMSException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Bitronix Software. All Rights Reserved.